---
sidebar_position: 2
---

# Hyper Editor Package

**Hyper Editor Package** extends the functionality of Cocos Editor using **Cocos Extensions** feature. 

It adds some helper commands to Cocos Editor UI which can be used to speed up the process.

![Editor Package](./img/editor-package.png)

## UI Bottom Bar Desktop Helper

### Run the Helper Tool
- Open the UI Desktop Helper        

![Helper Tool](./img/run-ui-desktop-helper.png)    

#### Verify Results: all new asset already loaded to these prefab
   
*button-auto-selection prefab*   

![Auto Selection Result](./img/result-btn-auto-selection.png)  

*In game*     

![Auto Selection Result](./img/btn-auto-selection.png) 

*ui-bottom-bar-panel prefab*        

![Bottom Bar Result](./img/result-buttom-bar.png)      

*In game*       

![Bottom Bar Result](./img/result-buttom-bar-in-game.png)

---

## Mobile UI Helper

### Run the Helper Tool
- Open the UI Mobile Helper 

![Helper Tool](./img/run-ui-mobile-helper.png)    

#### Results  
   
*main ui button added textures*  

| ![Auto Selection Result](./img/result-mobile-button.png)  | 
  
